<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classudp__status__buffer.html">udp_status_buffer</a></li><li class="navelem"><a class="el" href="classudp__status__buffer_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classudp__status__buffer_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a8c57c474718839b441f5bda9e4c6baa6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c57c474718839b441f5bda9e4c6baa6"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a8c57c474718839b441f5bda9e4c6baa6">select_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0c33e6db5a616c30330720bfb8cd2c72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c33e6db5a616c30330720bfb8cd2c72"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a0c33e6db5a616c30330720bfb8cd2c72">header_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a608f46c2e5d5602c4038aaadf6d3ea83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a608f46c2e5d5602c4038aaadf6d3ea83"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a608f46c2e5d5602c4038aaadf6d3ea83">history_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abe5d6ea88e4481c0139eb394a30c8be1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe5d6ea88e4481c0139eb394a30c8be1"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#abe5d6ea88e4481c0139eb394a30c8be1">async_history_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5695ab56247c858e7f9851aa63a81664"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5695ab56247c858e7f9851aa63a81664"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a5695ab56247c858e7f9851aa63a81664">ipbus_in_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a89cf29cd2f7e71c6ea68bd0ec5849a93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89cf29cd2f7e71c6ea68bd0ec5849a93"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a89cf29cd2f7e71c6ea68bd0ec5849a93">ipbus_out_block</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a5c19937260aa5abffd37002a700957ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c19937260aa5abffd37002a700957ed"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a5c19937260aa5abffd37002a700957ed">header</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6e1d14842991328ae67c64732160acde"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6e1d14842991328ae67c64732160acde"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a6e1d14842991328ae67c64732160acde">history</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a018a963125cbb303477cb7be0ed99c4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a018a963125cbb303477cb7be0ed99c4a"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a018a963125cbb303477cb7be0ed99c4a">ipbus_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aca290340b81ece5abb75e6b27a371aaf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca290340b81ece5abb75e6b27a371aaf"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#aca290340b81ece5abb75e6b27a371aaf">ipbus_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a448f0e3eebd1b752ecdf7e6299a1ff2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a448f0e3eebd1b752ecdf7e6299a1ff2d"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a448f0e3eebd1b752ecdf7e6299a1ff2d">tick</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8de281b916b446b2cad888af926c6d59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8de281b916b446b2cad888af926c6d59"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a8de281b916b446b2cad888af926c6d59">ready</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5e04a68b64de9d4e4530b2beb273c78b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e04a68b64de9d4e4530b2beb273c78b"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#a5e04a68b64de9d4e4530b2beb273c78b">async_event</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af067218cab836aec4fa9fdf61de91412"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af067218cab836aec4fa9fdf61de91412"></a>
<a class="el" href="classudp__status__buffer_1_1rtl.html#af067218cab836aec4fa9fdf61de91412">async_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__status__buffer_8vhd_source.html#l00049">49</a> of file <a class="el" href="udp__status__buffer_8vhd_source.html">udp_status_buffer.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__status__buffer_8vhd_source.html">udp_status_buffer.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
